diff --git a/drivers/net/nfp/nfpcore/nfp_cpp_pcie_ops.c b/drivers/net/nfp/nfpcore/nfp_cpp_pcie_ops.c
index ec14ec45dc..78beee07ef 100644
--- a/drivers/net/nfp/nfpcore/nfp_cpp_pcie_ops.c
+++ b/drivers/net/nfp/nfpcore/nfp_cpp_pcie_ops.c
@@ -140,9 +140,9 @@ nfp_compute_bar(const struct nfp_bar *bar,
 		size_t size,
 		int width)
 {
-	uint32_t bitsize;
-	uint32_t newcfg;
 	uint64_t mask;
+	uint32_t newcfg;
+	uint32_t bitsize;
 
 	if (tgt >= 16)
 		return -EINVAL;
@@ -239,7 +239,8 @@ nfp_bar_write(struct nfp_pcie_user *nfp,
 		struct nfp_bar *bar,
 		uint32_t newcfg)
 {
-	int base, slot;
+	int base;
+	int slot;
 
 	base = bar->index >> 3;
 	slot = bar->index & 7;
@@ -268,9 +269,9 @@ nfp_reconfigure_bar(struct nfp_pcie_user *nfp,
 		size_t size,
 		int width)
 {
-	uint64_t newbase;
-	uint32_t newcfg;
 	int err;
+	uint32_t newcfg;
+	uint64_t newbase;
 
 	err = nfp_compute_bar(bar, &newcfg, &newbase, tgt, act, tok, offset,
 			size, width);
@@ -303,8 +304,10 @@ nfp_reconfigure_bar(struct nfp_pcie_user *nfp,
 static int
 nfp_enable_bars(struct nfp_pcie_user *nfp)
 {
+	int x;
+	int end;
+	int start;
 	struct nfp_bar *bar;
-	int x, start, end;
 
 	if (rte_eal_process_type() == RTE_PROC_PRIMARY) {
 		start = NFP_BAR_MID;
@@ -333,8 +336,10 @@ nfp_enable_bars(struct nfp_pcie_user *nfp)
 static struct nfp_bar *
 nfp_alloc_bar(struct nfp_pcie_user *nfp)
 {
+	int x;
+	int end;
+	int start;
 	struct nfp_bar *bar;
-	int x, start, end;
 
 	if (rte_eal_process_type() == RTE_PROC_PRIMARY) {
 		start = NFP_BAR_MID;
@@ -356,8 +361,10 @@ nfp_alloc_bar(struct nfp_pcie_user *nfp)
 static void
 nfp_disable_bars(struct nfp_pcie_user *nfp)
 {
+	int x;
+	int end;
+	int start;
 	struct nfp_bar *bar;
-	int x, start, end;
 
 	if (rte_eal_process_type() == RTE_PROC_PRIMARY) {
 		start = NFP_BAR_MID;
@@ -403,12 +410,13 @@ nfp6000_area_init(struct nfp_cpp_area *area,
 		uint64_t address,
 		size_t size)
 {
-	struct nfp_pcie_user *nfp = nfp_cpp_priv(nfp_cpp_area_cpp(area));
-	struct nfp6000_area_priv *priv = nfp_cpp_area_priv(area);
+	int pp;
+	int ret = 0;
+	uint32_t token = NFP_CPP_ID_TOKEN_of(dest);
 	uint32_t target = NFP_CPP_ID_TARGET_of(dest);
 	uint32_t action = NFP_CPP_ID_ACTION_of(dest);
-	uint32_t token = NFP_CPP_ID_TOKEN_of(dest);
-	int pp, ret = 0;
+	struct nfp6000_area_priv *priv = nfp_cpp_area_priv(area);
+	struct nfp_pcie_user *nfp = nfp_cpp_priv(nfp_cpp_area_cpp(area));
 
 	pp = nfp_target_pushpull(NFP_CPP_ID(target, action, token), address);
 	if (pp < 0)
@@ -493,14 +501,14 @@ nfp6000_area_read(struct nfp_cpp_area *area,
 		uint32_t offset,
 		size_t length)
 {
+	size_t n;
+	int width;
+	bool is_64;
+	uint32_t *wrptr32 = kernel_vaddr;
 	uint64_t *wrptr64 = kernel_vaddr;
-	const volatile uint64_t *rdptr64;
 	struct nfp6000_area_priv *priv;
-	uint32_t *wrptr32 = kernel_vaddr;
 	const volatile uint32_t *rdptr32;
-	int width;
-	size_t n;
-	bool is_64;
+	const volatile uint64_t *rdptr64;
 
 	priv = nfp_cpp_area_priv(area);
 	rdptr64 = (uint64_t *)(priv->iomem + offset);
@@ -563,14 +571,14 @@ nfp6000_area_write(struct nfp_cpp_area *area,
 		uint32_t offset,
 		size_t length)
 {
-	const uint64_t *rdptr64 = kernel_vaddr;
-	uint64_t *wrptr64;
-	const uint32_t *rdptr32 = kernel_vaddr;
-	struct nfp6000_area_priv *priv;
-	uint32_t *wrptr32;
-	int width;
 	size_t n;
+	int width;
 	bool is_64;
+	uint32_t *wrptr32;
+	uint64_t *wrptr64;
+	struct nfp6000_area_priv *priv;
+	const uint32_t *rdptr32 = kernel_vaddr;
+	const uint64_t *rdptr64 = kernel_vaddr;
 
 	priv = nfp_cpp_area_priv(area);
 	wrptr64 = (uint64_t *)(priv->iomem + offset);
@@ -693,10 +701,10 @@ static int
 nfp6000_set_serial(struct rte_pci_device *dev,
 		struct nfp_cpp *cpp)
 {
+	off_t pos;
 	uint16_t tmp;
 	uint8_t serial[6];
 	int serial_len = 6;
-	off_t pos;
 
 	pos = rte_pci_find_ext_capability(dev, RTE_PCI_EXT_CAP_ID_DSN);
 	if (pos <= 0) {
@@ -741,8 +749,8 @@ static int
 nfp6000_set_barsz(struct rte_pci_device *dev,
 		struct nfp_pcie_user *desc)
 {
-	uint64_t tmp;
 	int i = 0;
+	uint64_t tmp;
 
 	tmp = dev->mem_resource[0].len;
 
diff --git a/drivers/net/nfp/nfpcore/nfp_cppcore.c b/drivers/net/nfp/nfpcore/nfp_cppcore.c
index 7e7c36eda3..2e5a4e7349 100644
--- a/drivers/net/nfp/nfpcore/nfp_cppcore.c
+++ b/drivers/net/nfp/nfpcore/nfp_cppcore.c
@@ -172,9 +172,9 @@ nfp_cpp_area_alloc_with_name(struct nfp_cpp *cpp,
 		uint64_t address,
 		uint32_t size)
 {
+	int err;
 	struct nfp_cpp_area *area;
 	uint64_t tmp64 = (uint64_t)address;
-	int err;
 
 	if (cpp == NULL)
 		return NULL;
@@ -396,8 +396,8 @@ static uint32_t
 nfp_xpb_to_cpp(struct nfp_cpp *cpp,
 		uint32_t *xpb_addr)
 {
-	uint32_t xpb;
 	int island;
+	uint32_t xpb;
 
 	xpb = NFP_CPP_ID(14, NFP_CPP_ACTION_RW, 0);
 
@@ -569,9 +569,9 @@ static struct nfp_cpp *
 nfp_cpp_alloc(struct rte_pci_device *dev,
 		int driver_lock_needed)
 {
-	const struct nfp_cpp_operations *ops;
-	struct nfp_cpp *cpp;
 	int err;
+	struct nfp_cpp *cpp;
+	const struct nfp_cpp_operations *ops;
 
 	ops = nfp_cpp_transport_operations();
 
@@ -657,8 +657,8 @@ nfp_cpp_read(struct nfp_cpp *cpp,
 		void *kernel_vaddr,
 		size_t length)
 {
-	struct nfp_cpp_area *area;
 	int err;
+	struct nfp_cpp_area *area;
 
 	area = nfp_cpp_area_alloc_acquire(cpp, destination, address, length);
 	if (area == NULL) {
@@ -687,8 +687,8 @@ nfp_cpp_write(struct nfp_cpp *cpp,
 		const void *kernel_vaddr,
 		size_t length)
 {
-	struct nfp_cpp_area *area;
 	int err;
+	struct nfp_cpp_area *area;
 
 	area = nfp_cpp_area_alloc_acquire(cpp, destination, address, length);
 	if (area == NULL)
@@ -708,8 +708,8 @@ uint32_t
 __nfp_cpp_model_autodetect(struct nfp_cpp *cpp,
 		uint32_t *model)
 {
-	uint32_t reg;
 	int err;
+	uint32_t reg;
 
 	err = nfp_xpb_readl(cpp, NFP_XPB_DEVICE(1, 1, 16) + NFP_PL_DEVICE_ID,
 			&reg);
diff --git a/drivers/net/nfp/nfpcore/nfp_hwinfo.c b/drivers/net/nfp/nfpcore/nfp_hwinfo.c
index ea4c7d6a9e..819761eda0 100644
--- a/drivers/net/nfp/nfpcore/nfp_hwinfo.c
+++ b/drivers/net/nfp/nfpcore/nfp_hwinfo.c
@@ -36,7 +36,9 @@ static int
 nfp_hwinfo_db_walk(struct nfp_hwinfo *hwinfo,
 		uint32_t size)
 {
-	const char *key, *val, *end = hwinfo->data + size;
+	const char *key;
+	const char *val;
+	const char *end = hwinfo->data + size;
 
 	for (key = hwinfo->data; *key != 0 && key < end;
 			key = val + strlen(val) + 1) {
@@ -58,7 +60,9 @@ static int
 nfp_hwinfo_db_validate(struct nfp_hwinfo *db,
 		uint32_t len)
 {
-	uint32_t size, new_crc, *crc;
+	uint32_t *crc;
+	uint32_t size;
+	uint32_t new_crc;
 
 	size = db->size;
 	if (size > len) {
@@ -82,12 +86,12 @@ static struct nfp_hwinfo *
 nfp_hwinfo_try_fetch(struct nfp_cpp *cpp,
 		size_t *cpp_size)
 {
-	struct nfp_hwinfo *header;
-	void *res;
-	uint64_t cpp_addr;
-	uint32_t cpp_id;
 	int err;
+	void *res;
 	uint8_t *db;
+	uint32_t cpp_id;
+	uint64_t cpp_addr;
+	struct nfp_hwinfo *header;
 
 	res = nfp_resource_acquire(cpp, NFP_RESOURCE_NFP_HWINFO);
 	if (res) {
@@ -135,13 +139,12 @@ static struct nfp_hwinfo *
 nfp_hwinfo_fetch(struct nfp_cpp *cpp,
 		size_t *hwdb_size)
 {
+	int count = 0;
 	struct timespec wait;
 	struct nfp_hwinfo *db;
-	int count;
 
 	wait.tv_sec = 0;
 	wait.tv_nsec = 10000000;
-	count = 0;
 
 	for (;;) {
 		db = nfp_hwinfo_try_fetch(cpp, hwdb_size);
@@ -159,9 +162,9 @@ nfp_hwinfo_fetch(struct nfp_cpp *cpp,
 struct nfp_hwinfo *
 nfp_hwinfo_read(struct nfp_cpp *cpp)
 {
-	struct nfp_hwinfo *db;
-	size_t hwdb_size = 0;
 	int err;
+	size_t hwdb_size = 0;
+	struct nfp_hwinfo *db;
 
 	db = nfp_hwinfo_fetch(cpp, &hwdb_size);
 	if (db == NULL)
@@ -186,7 +189,9 @@ const char *
 nfp_hwinfo_lookup(struct nfp_hwinfo *hwinfo,
 		const char *lookup)
 {
-	const char *key, *val, *end;
+	const char *key;
+	const char *val;
+	const char *end;
 
 	if (hwinfo == NULL || lookup == NULL)
 		return NULL;
diff --git a/drivers/net/nfp/nfpcore/nfp_mip.c b/drivers/net/nfp/nfpcore/nfp_mip.c
index 0071d3fc37..1e601313b4 100644
--- a/drivers/net/nfp/nfpcore/nfp_mip.c
+++ b/drivers/net/nfp/nfpcore/nfp_mip.c
@@ -68,10 +68,10 @@ static int
 nfp_mip_read_resource(struct nfp_cpp *cpp,
 		struct nfp_mip *mip)
 {
-	struct nfp_nffw_info *nffw_info;
-	uint32_t cpp_id;
-	uint64_t addr;
 	int err;
+	uint64_t addr;
+	uint32_t cpp_id;
+	struct nfp_nffw_info *nffw_info;
 
 	nffw_info = nfp_nffw_info_open(cpp);
 	if (nffw_info == NULL)
@@ -100,8 +100,8 @@ nfp_mip_read_resource(struct nfp_cpp *cpp,
 struct nfp_mip *
 nfp_mip_open(struct nfp_cpp *cpp)
 {
-	struct nfp_mip *mip;
 	int err;
+	struct nfp_mip *mip;
 
 	mip = malloc(sizeof(*mip));
 	if (mip == NULL)
diff --git a/drivers/net/nfp/nfpcore/nfp_mutex.c b/drivers/net/nfp/nfpcore/nfp_mutex.c
index edc8137304..5be437b354 100644
--- a/drivers/net/nfp/nfpcore/nfp_mutex.c
+++ b/drivers/net/nfp/nfpcore/nfp_mutex.c
@@ -79,9 +79,9 @@ nfp_cpp_mutex_init(struct nfp_cpp *cpp,
 		uint64_t address,
 		uint32_t key)
 {
+	int err;
 	uint32_t model = nfp_cpp_model(cpp);
 	uint32_t muw = NFP_CPP_ID(target, 4, 0);	/* atomic_write */
-	int err;
 
 	err = _nfp_cpp_mutex_validate(model, &target, address);
 	if (err < 0)
@@ -122,11 +122,11 @@ nfp_cpp_mutex_alloc(struct nfp_cpp *cpp,
 		uint64_t address,
 		uint32_t key)
 {
-	uint32_t model = nfp_cpp_model(cpp);
-	struct nfp_cpp_mutex *mutex;
-	uint32_t mur = NFP_CPP_ID(target, 3, 0);	/* atomic_read */
 	int err;
 	uint32_t tmp;
+	struct nfp_cpp_mutex *mutex;
+	uint32_t model = nfp_cpp_model(cpp);
+	uint32_t mur = NFP_CPP_ID(target, 3, 0);	/* atomic_read */
 
 	/* Look for cached mutex */
 	for (mutex = cpp->mutex_cache; mutex; mutex = mutex->next) {
@@ -242,12 +242,13 @@ nfp_cpp_mutex_lock(struct nfp_cpp_mutex *mutex)
 int
 nfp_cpp_mutex_unlock(struct nfp_cpp_mutex *mutex)
 {
-	uint32_t muw = NFP_CPP_ID(mutex->target, 4, 0);	/* atomic_write */
-	uint32_t mur = NFP_CPP_ID(mutex->target, 3, 0);	/* atomic_read */
+	int err;
+	uint32_t key;
+	uint32_t value;
 	struct nfp_cpp *cpp = mutex->cpp;
-	uint32_t key, value;
 	uint16_t interface = nfp_cpp_interface(cpp);
-	int err;
+	uint32_t muw = NFP_CPP_ID(mutex->target, 4, 0);	/* atomic_write */
+	uint32_t mur = NFP_CPP_ID(mutex->target, 3, 0);	/* atomic_read */
 
 	if (mutex->depth > 1) {
 		mutex->depth--;
@@ -296,12 +297,14 @@ nfp_cpp_mutex_unlock(struct nfp_cpp_mutex *mutex)
 int
 nfp_cpp_mutex_trylock(struct nfp_cpp_mutex *mutex)
 {
+	int err;
+	uint32_t key;
+	uint32_t tmp;
+	uint32_t value;
+	struct nfp_cpp *cpp = mutex->cpp;
 	uint32_t mur = NFP_CPP_ID(mutex->target, 3, 0);	/* atomic_read */
 	uint32_t muw = NFP_CPP_ID(mutex->target, 4, 0);	/* atomic_write */
 	uint32_t mus = NFP_CPP_ID(mutex->target, 5, 3);	/* test_set_imm */
-	uint32_t key, value, tmp;
-	struct nfp_cpp *cpp = mutex->cpp;
-	int err;
 
 	if (mutex->depth > 0) {
 		if (mutex->depth == MUTEX_DEPTH_MAX)
diff --git a/drivers/net/nfp/nfpcore/nfp_nffw.c b/drivers/net/nfp/nfpcore/nfp_nffw.c
index 2412dc0e00..9123fc742a 100644
--- a/drivers/net/nfp/nfpcore/nfp_nffw.c
+++ b/drivers/net/nfp/nfpcore/nfp_nffw.c
@@ -68,9 +68,11 @@ nffw_fwinfo_mip_offset_get(const struct nffw_fwinfo *fi)
 static int
 nfp_mip_mu_locality_lsb(struct nfp_cpp *cpp)
 {
-	uint32_t mode, addr40;
-	uint32_t xpbaddr, imbcppat;
 	int err;
+	uint32_t mode;
+	uint32_t addr40;
+	uint32_t xpbaddr;
+	uint32_t imbcppat;
 
 	/* Hardcoded XPB IMB Base, island 0 */
 	xpbaddr = 0x000a0000 + NFP_CPP_TARGET_MU * 4;
@@ -118,10 +120,10 @@ nffw_res_fwinfos(struct nfp_nffw_info_data *fwinf,
 struct nfp_nffw_info *
 nfp_nffw_info_open(struct nfp_cpp *cpp)
 {
-	struct nfp_nffw_info_data *fwinf;
-	struct nfp_nffw_info *state;
-	uint32_t info_ver;
 	int err;
+	uint32_t info_ver;
+	struct nfp_nffw_info *state;
+	struct nfp_nffw_info_data *fwinf;
 
 	state = malloc(sizeof(*state));
 	if (state == NULL)
@@ -183,8 +185,9 @@ nfp_nffw_info_close(struct nfp_nffw_info *state)
 static struct nffw_fwinfo *
 nfp_nffw_info_fwid_first(struct nfp_nffw_info *state)
 {
+	uint32_t i;
+	uint32_t cnt;
 	struct nffw_fwinfo *fwinfo;
-	uint32_t cnt, i;
 
 	cnt = nffw_res_fwinfos(&state->fwinf, &fwinfo);
 	if (cnt == 0)
diff --git a/drivers/net/nfp/nfpcore/nfp_nsp.c b/drivers/net/nfp/nfpcore/nfp_nsp.c
index dfe396c8ac..4861772a98 100644
--- a/drivers/net/nfp/nfpcore/nfp_nsp.c
+++ b/drivers/net/nfp/nfpcore/nfp_nsp.c
@@ -72,10 +72,11 @@ nfp_nsp_print_extended_error(uint32_t ret_val)
 static int
 nfp_nsp_check(struct nfp_nsp *state)
 {
-	struct nfp_cpp *cpp = state->cpp;
-	uint64_t nsp_status, reg;
-	uint32_t nsp_cpp;
 	int err;
+	uint64_t reg;
+	uint32_t nsp_cpp;
+	uint64_t nsp_status;
+	struct nfp_cpp *cpp = state->cpp;
 
 	nsp_cpp = nfp_resource_cpp_id(state->res);
 	nsp_status = nfp_resource_address(state->res) + NSP_STATUS;
@@ -113,9 +114,9 @@ nfp_nsp_check(struct nfp_nsp *state)
 struct nfp_nsp *
 nfp_nsp_open(struct nfp_cpp *cpp)
 {
-	struct nfp_resource *res;
-	struct nfp_nsp *state;
 	int err;
+	struct nfp_nsp *state;
+	struct nfp_resource *res;
 
 	res = nfp_resource_acquire(cpp, NFP_RESOURCE_NSP);
 	if (res == NULL)
@@ -170,13 +171,12 @@ nfp_nsp_wait_reg(struct nfp_cpp *cpp,
 		uint64_t mask,
 		uint64_t val)
 {
-	struct timespec wait;
-	uint32_t count;
 	int err;
+	uint32_t count = 0;
+	struct timespec wait;
 
 	wait.tv_sec = 0;
 	wait.tv_nsec = 25000000;
-	count = 0;
 
 	for (;;) {
 		err = nfp_cpp_readq(cpp, nsp_cpp, addr, reg);
@@ -217,10 +217,15 @@ nfp_nsp_command(struct nfp_nsp *state,
 		uint32_t buff_cpp,
 		uint64_t buff_addr)
 {
-	uint64_t reg, ret_val, nsp_base, nsp_buffer, nsp_status, nsp_command;
-	struct nfp_cpp *cpp = state->cpp;
-	uint32_t nsp_cpp;
 	int err;
+	uint64_t reg;
+	uint32_t nsp_cpp;
+	uint64_t ret_val;
+	uint64_t nsp_base;
+	uint64_t nsp_buffer;
+	uint64_t nsp_status;
+	uint64_t nsp_command;
+	struct nfp_cpp *cpp = state->cpp;
 
 	nsp_cpp = nfp_resource_cpp_id(state->res);
 	nsp_base = nfp_resource_address(state->res);
@@ -296,11 +301,13 @@ nfp_nsp_command_buf(struct nfp_nsp *nsp,
 		void *out_buf,
 		unsigned int out_size)
 {
-	struct nfp_cpp *cpp = nsp->cpp;
+	int err;
+	int ret;
+	uint64_t reg;
 	size_t max_size;
-	uint64_t reg, cpp_buf;
-	int ret, err;
 	uint32_t cpp_id;
+	uint64_t cpp_buf;
+	struct nfp_cpp *cpp = nsp->cpp;
 
 	if (nsp->ver.minor < 13) {
 		PMD_DRV_LOG(ERR, "NSP: Code 0x%04x with buffer not supported ABI %hu.%hu)",
@@ -360,13 +367,12 @@ nfp_nsp_command_buf(struct nfp_nsp *nsp,
 int
 nfp_nsp_wait(struct nfp_nsp *state)
 {
-	struct timespec wait;
-	uint32_t count;
 	int err;
+	int count = 0;
+	struct timespec wait;
 
 	wait.tv_sec = 0;
 	wait.tv_nsec = 25000000;
-	count = 0;
 
 	for (;;) {
 		err = nfp_nsp_command(state, SPCODE_NOOP, 0, 0, 0);
diff --git a/drivers/net/nfp/nfpcore/nfp_nsp_cmds.c b/drivers/net/nfp/nfpcore/nfp_nsp_cmds.c
index 31677b66e6..3081e22dad 100644
--- a/drivers/net/nfp/nfpcore/nfp_nsp_cmds.c
+++ b/drivers/net/nfp/nfpcore/nfp_nsp_cmds.c
@@ -26,9 +26,9 @@ struct nsp_identify {
 struct nfp_nsp_identify *
 __nfp_nsp_identify(struct nfp_nsp *nsp)
 {
-	struct nfp_nsp_identify *nspi = NULL;
-	struct nsp_identify *ni;
 	int ret;
+	struct nsp_identify *ni;
+	struct nfp_nsp_identify *nspi = NULL;
 
 	if (nfp_nsp_get_abi_ver_minor(nsp) < 15)
 		return NULL;
@@ -77,9 +77,9 @@ nfp_hwmon_read_sensor(struct nfp_cpp *cpp,
 		enum nfp_nsp_sensor_id id,
 		uint32_t *val)
 {
-	struct nfp_sensors s;
-	struct nfp_nsp *nsp;
 	int ret;
+	struct nfp_nsp *nsp;
+	struct nfp_sensors s;
 
 	nsp = nfp_nsp_open(cpp);
 	if (nsp == NULL)
diff --git a/drivers/net/nfp/nfpcore/nfp_nsp_eth.c b/drivers/net/nfp/nfpcore/nfp_nsp_eth.c
index bc155b44d8..9b7c8aa7f8 100644
--- a/drivers/net/nfp/nfpcore/nfp_nsp_eth.c
+++ b/drivers/net/nfp/nfpcore/nfp_nsp_eth.c
@@ -150,9 +150,10 @@ nfp_eth_port_translate(struct nfp_nsp *nsp,
 		uint32_t index,
 		struct nfp_eth_table_port *dst)
 {
-	uint32_t rate;
 	uint32_t fec;
-	uint64_t port, state;
+	uint64_t port;
+	uint32_t rate;
+	uint64_t state;
 
 	port = rte_le_to_cpu_64(src->port);
 	state = rte_le_to_cpu_64(src->state);
@@ -200,7 +201,8 @@ nfp_eth_port_translate(struct nfp_nsp *nsp,
 static void
 nfp_eth_calc_port_geometry(struct nfp_eth_table *table)
 {
-	uint32_t i, j;
+	uint32_t i;
+	uint32_t j;
 
 	for (i = 0; i < table->count; i++) {
 		table->max_index = RTE_MAX(table->max_index,
@@ -242,12 +244,13 @@ nfp_eth_calc_port_type(struct nfp_eth_table_port *entry)
 static struct nfp_eth_table *
 __nfp_eth_read_ports(struct nfp_nsp *nsp)
 {
-	union eth_table_entry *entries;
-	struct nfp_eth_table *table;
-	uint32_t table_sz;
+	int ret;
 	uint32_t i;
 	uint32_t j;
-	int ret, cnt = 0;
+	int cnt = 0;
+	uint32_t table_sz;
+	struct nfp_eth_table *table;
+	union eth_table_entry *entries;
 	const struct rte_ether_addr *mac;
 
 	entries = malloc(NSP_ETH_TABLE_SIZE);
@@ -321,8 +324,8 @@ __nfp_eth_read_ports(struct nfp_nsp *nsp)
 struct nfp_eth_table *
 nfp_eth_read_ports(struct nfp_cpp *cpp)
 {
-	struct nfp_eth_table *ret;
 	struct nfp_nsp *nsp;
+	struct nfp_eth_table *ret;
 
 	nsp = nfp_nsp_open(cpp);
 	if (nsp == NULL)
@@ -338,9 +341,9 @@ struct nfp_nsp *
 nfp_eth_config_start(struct nfp_cpp *cpp,
 		uint32_t idx)
 {
-	union eth_table_entry *entries;
-	struct nfp_nsp *nsp;
 	int ret;
+	struct nfp_nsp *nsp;
+	union eth_table_entry *entries;
 
 	entries = malloc(NSP_ETH_TABLE_SIZE);
 	if (entries == NULL)
@@ -401,8 +404,8 @@ nfp_eth_config_cleanup_end(struct nfp_nsp *nsp)
 int
 nfp_eth_config_commit_end(struct nfp_nsp *nsp)
 {
-	union eth_table_entry *entries = nfp_nsp_config_entries(nsp);
 	int ret = 1;
+	union eth_table_entry *entries = nfp_nsp_config_entries(nsp);
 
 	if (nfp_nsp_config_modified(nsp)) {
 		ret = nfp_nsp_write_eth_table(nsp, entries, NSP_ETH_TABLE_SIZE);
@@ -433,9 +436,9 @@ nfp_eth_set_mod_enable(struct nfp_cpp *cpp,
 		uint32_t idx,
 		int enable)
 {
-	union eth_table_entry *entries;
-	struct nfp_nsp *nsp;
 	uint64_t reg;
+	struct nfp_nsp *nsp;
+	union eth_table_entry *entries;
 
 	nsp = nfp_eth_config_start(cpp, idx);
 	if (nsp == NULL)
@@ -475,9 +478,9 @@ nfp_eth_set_configured(struct nfp_cpp *cpp,
 		uint32_t idx,
 		int configed)
 {
-	union eth_table_entry *entries;
-	struct nfp_nsp *nsp;
 	uint64_t reg;
+	struct nfp_nsp *nsp;
+	union eth_table_entry *entries;
 
 	nsp = nfp_eth_config_start(cpp, idx);
 	if (nsp == NULL)
@@ -516,9 +519,9 @@ nfp_eth_set_bit_config(struct nfp_nsp *nsp,
 		uint32_t val,
 		const uint64_t ctrl_bit)
 {
-	union eth_table_entry *entries = nfp_nsp_config_entries(nsp);
-	uint32_t idx = nfp_nsp_config_idx(nsp);
 	uint64_t reg;
+	uint32_t idx = nfp_nsp_config_idx(nsp);
+	union eth_table_entry *entries = nfp_nsp_config_entries(nsp);
 
 	/*
 	 * Note: set features were added in ABI 0.14 but the error
@@ -604,8 +607,8 @@ nfp_eth_set_fec(struct nfp_cpp *cpp,
 		uint32_t idx,
 		enum nfp_eth_fec mode)
 {
-	struct nfp_nsp *nsp;
 	int err;
+	struct nfp_nsp *nsp;
 
 	nsp = nfp_eth_config_start(cpp, idx);
 	if (nsp == NULL)
diff --git a/drivers/net/nfp/nfpcore/nfp_resource.c b/drivers/net/nfp/nfpcore/nfp_resource.c
index 9dd4832779..fa92f2762e 100644
--- a/drivers/net/nfp/nfpcore/nfp_resource.c
+++ b/drivers/net/nfp/nfpcore/nfp_resource.c
@@ -67,10 +67,12 @@ static int
 nfp_cpp_resource_find(struct nfp_cpp *cpp,
 		struct nfp_resource *res)
 {
-	char name_pad[NFP_RESOURCE_ENTRY_NAME_SZ + 2];
+	int ret;
+	uint32_t i;
+	uint32_t key;
+	uint32_t cpp_id;
 	struct nfp_resource_entry entry;
-	uint32_t cpp_id, key;
-	int ret, i;
+	char name_pad[NFP_RESOURCE_ENTRY_NAME_SZ + 2];
 
 	cpp_id = NFP_CPP_ID(NFP_RESOURCE_TBL_TARGET, 3, 0);  /* Atomic read */
 
@@ -152,11 +154,11 @@ struct nfp_resource *
 nfp_resource_acquire(struct nfp_cpp *cpp,
 		const char *name)
 {
-	struct nfp_cpp_mutex *dev_mutex;
-	struct nfp_resource *res;
 	int err;
+	uint16_t count = 0;
 	struct timespec wait;
-	uint16_t count;
+	struct nfp_resource *res;
+	struct nfp_cpp_mutex *dev_mutex;
 
 	res = malloc(sizeof(*res));
 	if (res == NULL)
@@ -175,7 +177,6 @@ nfp_resource_acquire(struct nfp_cpp *cpp,
 
 	wait.tv_sec = 0;
 	wait.tv_nsec = 1000000;
-	count = 0;
 
 	for (;;) {
 		err = nfp_resource_try_acquire(cpp, res, dev_mutex);
diff --git a/drivers/net/nfp/nfpcore/nfp_rtsym.c b/drivers/net/nfp/nfpcore/nfp_rtsym.c
index 243d3c9ce5..a34278beca 100644
--- a/drivers/net/nfp/nfpcore/nfp_rtsym.c
+++ b/drivers/net/nfp/nfpcore/nfp_rtsym.c
@@ -85,8 +85,8 @@ nfp_rtsym_sw_entry_init(struct nfp_rtsym_table *cache,
 struct nfp_rtsym_table *
 nfp_rtsym_table_read(struct nfp_cpp *cpp)
 {
-	struct nfp_rtsym_table *rtbl;
 	struct nfp_mip *mip;
+	struct nfp_rtsym_table *rtbl;
 
 	mip = nfp_mip_open(cpp);
 	rtbl = __nfp_rtsym_table_read(cpp, mip);
@@ -99,13 +99,18 @@ struct nfp_rtsym_table *
 __nfp_rtsym_table_read(struct nfp_cpp *cpp,
 		const struct nfp_mip *mip)
 {
-	uint32_t strtab_addr, symtab_addr, strtab_size, symtab_size;
-	struct nfp_rtsym_entry *rtsymtab;
+	int n;
+	int err;
+	uint32_t size;
+	uint32_t strtab_addr;
+	uint32_t symtab_addr;
+	uint32_t strtab_size;
+	uint32_t symtab_size;
 	struct nfp_rtsym_table *cache;
+	struct nfp_rtsym_entry *rtsymtab;
 	const uint32_t dram =
 		NFP_CPP_ID(NFP_CPP_TARGET_MU, NFP_CPP_ACTION_RW, 0) |
 		NFP_ISL_EMEM0;
-	int err, n, size;
 
 	if (mip == NULL)
 		return NULL;
@@ -341,10 +346,10 @@ nfp_rtsym_read_le(struct nfp_rtsym_table *rtbl,
 		const char *name,
 		int *error)
 {
-	const struct nfp_rtsym *sym;
-	uint32_t val32;
-	uint64_t val;
 	int err;
+	uint64_t val;
+	uint32_t val32;
+	const struct nfp_rtsym *sym;
 
 	sym = nfp_rtsym_lookup(rtbl, name);
 	if (sym == NULL) {